//
//  HWMDataModel.m
//  HWMUISDKNativeDemo
//
//

#import "HWMDataModel.h"

@implementation HWMDataModel
+ (instancetype)sharedInstance {
    static HWMDataModel *_instance = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        _instance =[[HWMDataModel alloc] init];
    });
    
    return _instance;
}

- (NSMutableArray<HWMEnterpriseContact *> *)contacts {
    if (!_contacts) {
        _contacts = @[].mutableCopy;
    }
    return _contacts;
}
@end
